package
{
	import flash.geom.Point;
	import utility.CUtility;
	public class CAttack_FireBurst extends CAttack_Projectile
	{
		public var N:int;
		public function CAttack_FireBurst(N:int=1)
		{
			this.N = N;
		}
		public function init_player(target:Point):void
		{
			this.target = target.clone();
			targetHeight = 0;
			faction = 0;
		}
		public function init_enemy():void
		{
			
		}
		override public function execute(caster:CCreature, gm:CGameManager):void
		{
			super.execute(caster, gm);
			var proj:CProjectile;
			var targetPos:Point
			var addAngle:Number = 5 * Math.PI / 180;
			var dist:Number = Point.distance(target, caster.pos);
			var angle:Number = Math.atan2(target.y-caster.pos.y, target.x-caster.pos.x) - (N - 1) / 2 * addAngle;
			for (var i:int = 0; i < N;++i)
			{
				targetPos = new Point(caster.pos.x + dist * Math.cos(angle+i*addAngle), caster.pos.y + dist * Math.sin(angle+i*addAngle));
				proj = new CProjectile();
				proj.init_gameObject(caster.pos, ResManager.IMG_PROJECTILES, 1, 4);
				proj.init_projectile(caster, 100, faction, caster.shot_offset.y, targetPos, targetHeight, new CAttackRef(this, new CStats().init_stats_copy(caster.stats), caster));
				var explo:CAnimation = new CAnimation();
				explo.init_gameObject(null, ResManager.IMG_EXPLOSIONS, 0);
				explo.init_anim(4, 0.2, 1);
				proj.explosion = explo;
				gm.Game.newObjectList.addItem(proj);
			}
		}
	}
}