package
{
	import flash.geom.Point;
	import utility.CUtility;
	public class CAttack_SingleProjectile extends CAttack_Projectile
	{
		public function CAttack_SingleProjectile()
		{
			
		}
		public function init_player(target:Point):void
		{
			this.target = target.clone();
			targetHeight = 0;
			faction = 0;
		}
		public function init_enemy(dragon:CDragon):void
		{
			this.target = dragon.pos.clone();
			targetHeight = CUtility.rand(1, dragon.size-1);
			faction = 1;
		}
		override public function execute(caster:CCreature, gm:CGameManager):void
		{
			super.execute(caster, gm);
			var proj:CProjectile = new CProjectile();
			proj.init_gameObject(caster.pos, ResManager.IMG_PROJECTILES, 2, 4);
			proj.init_projectile(caster, 100, faction, caster.shot_offset.y, target, targetHeight, new CAttackRef(this, new CStats().init_stats_copy(caster.stats), caster));
			var explo:CAnimation = new CAnimation();
			explo.init_gameObject(null, ResManager.IMG_EXPLOSIONS, 0);
			explo.init_anim(4, 0.2, 1);
			proj.explosion = explo;
			gm.Game.newObjectList.addItem(proj);
		}
	}
}