package
{
	import utility.CUtility;
	import org.flashdevelop.utils.FlashConnect;
	import flash.display.BitmapData;
	import flash.geom.Point;
	public class CEnemy_BigKnight extends CEnemy
	{
		protected var timer:Number;
		protected var enrage:Boolean = false;
		protected var summon_timer:Number = 5;
		protected var charge_timer:Number;
		protected var charge_speed:Number=140;
		protected var normal_speed:Number=20;
		protected var cd_timer:Number = 5;
		protected var charge:Boolean = false;
		protected var stop_move:Boolean = false;
		protected var stop_timer:Number;
		public function CEnemy_BigKnight()
		{
			
		}
		
		override public function update(gm:CGameManager, dt:Number):void
		{
			super.update(gm, dt);
			if (stats.hp <= stats.maxHp / 2 && !enrage)
			{
				attacks[0].cooldown *= 2/3;
				enrage = true;
			}
			if (stop_move)
			{
				movement.target = null;
				movement.evade_direction = null;
				stop_timer -= dt;
				if (stop_timer <= 0)
					stop_move = false;
			}
			if(!stop_move && !CUtility.inRange(pos, gm.Game.dragon.pos, Math.max(attacks[0].range, (gm.Game.dragon.collisionRadius + collisionRadius) * 0.9)))
				movement.target = gm.Game.dragon.pos.clone();
			else
			{
				if (!stop_move)
				{
					movement.target = null;
					movement.speed = normal_speed;
					charge = false;
					cd_timer = CUtility.rnd(4, 6);
					stop_move = true;
					stop_timer = 0.5;
				}
			}
			summon_timer -= dt;
			if (summon_timer <= 0)
			{
				gm.Game.newObjectList.addItem(gm.Game.world.init_Mage(gm.Game.world.currentMap.getRandomPos(pos.x, pos.y, 200), gm.Game.world.currentMap, 5));
				summon_timer = CUtility.rnd(3, 5);
			}
			if (!charge)
			{
				cd_timer -= dt;
				if (cd_timer <= 0)
				{
					charge_timer = 1.5;
					movement.speed = charge_speed;
					charge = true;
				}
			}
			else
			{
				charge_timer -= dt;
				if (charge_timer <= 0)
				{
					cd_timer = CUtility.rnd(4, 6);
					movement.speed = normal_speed;
					charge = false;
				}
			}
		}
		override public function draw(backbuffer:BitmapData, scroll:Point, gm:CGameManager):void
		{
			if(movement.look_direction==0)
				(ResManager.img[imgId] as AnimImage).draw(backbuffer, pos.x-Math.floor(scroll.x) - gfx_offset.x, pos.y-Math.floor(scroll.y)+ gfx_offset.y, frame);
			else
				(ResManager.img[imgId] as AnimImage).draw(backbuffer, pos.x - Math.floor(scroll.x) + gfx_offset.x, pos.y - Math.floor(scroll.y) + gfx_offset.y, frame + movement.look_direction);
			drawHpBar(backbuffer, scroll, 1);
		}
	}
}