package
{
	import flash.display.BitmapData;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import flash.text.TextFormat;
	import flash.text.TextField;
	public final class CGameState_MainMenu extends CGameState
	{
		protected var b_start:CButton = new CButton(new Point(192, 100), ResManager.img[ResManager.IMG_STARTBUTTON].getFrame(0));
		protected var intro_text_black_format:TextFormat = new TextFormat("papyrus", 20, 0);
		protected var big_black_format:TextFormat = new TextFormat("papyrus", 32, 0);
		protected var small_black_format:TextFormat = new TextFormat("papyrus", 16, 0);
		protected var button_text:CText;
		protected var title_text:CText;
		protected var credits_text:CText;
		public function CGameState_MainMenu(gm:CGameManager, stateId:int=0)
		{
			this.stateId = stateId;
			gameManager = gm;
			
			var button_textfield:TextField = new TextField();
			button_textfield.defaultTextFormat = intro_text_black_format;
			button_textfield.width = 96;
			button_textfield.height = 32;
			button_textfield.wordWrap = true;
			button_text = new CText();
			button_text.init("Start", button_textfield, intro_text_black_format, true);
			
			var title_textfield:TextField = new TextField();
			title_textfield.defaultTextFormat = big_black_format;
			title_textfield.width = 200;
			title_textfield.height = 50;
			title_text = new CText();
			title_text.init("Dracolution", title_textfield, big_black_format, true);
			
			var credits_textfield:TextField = new TextField();
			credits_textfield.defaultTextFormat = small_black_format;
			credits_textfield.width = 300;
			credits_textfield.height = 60;
			credits_textfield.wordWrap = true;
			credits_text = new CText();
			credits_text.init("Ludum Dare 24: Evolution\nProgramming & Graphics: Stefan Funke", credits_textfield, small_black_format, false);
			
		}
		override public function enter():void
		{
		}
		override public function leave():void
		{
			
		}
		override public function update(dt:Number):void
		{
			if (b_start.hit(gameManager.mousePos.x, gameManager.mousePos.y, gameManager.mouseDown, gameManager.mouseUp))
				gameManager.changeState(GameStates.INGAME);
		}
		override public function draw(backbuffer:BitmapData):void
		{
			backbuffer.fillRect(new Rectangle(0, 0, gameManager.screenDim.x, gameManager.screenDim.y), 0xFF1C1C1C);
			ResManager.img[ResManager.IMG_BG].draw(backbuffer, 0, 0, 0);
			b_start.draw(backbuffer);
			button_text.draw(backbuffer, new Point(240 - 1, 100 + 16 - 1));
			title_text.draw(backbuffer, new Point(240 - 1, 32 + 32));
			credits_text.draw(backbuffer, new Point(34, 320 - 32 - 40));
			
		}
	}
}