package
{
	import flash.display.BitmapData;
	import flash.filters.DropShadowFilter;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import flash.text.TextField;
	import flash.text.TextFormat;
	public class CText
	{
		protected var textField:TextField;
		protected var format:TextFormat;
		protected var imgBuffer:BitmapData;
		protected var handle:Point = null;
		protected var midhandle:Boolean = false;
		public function CText()
		{
		}
		public function init(text:String, textField:TextField, format:TextFormat, midhandle:Boolean=false):CText
		{
			this.textField = textField;
			this.format=format
			this.textField.defaultTextFormat = format;
			this.midhandle = midhandle;
			imgBuffer = new BitmapData(this.textField.width, this.textField.height, true, 0);
			setText(text);
			return this;
		}
		public function setText(text:String):void
		{
			textField.text = text;
			if(midhandle)
				handle = new Point(this.textField.textWidth / 2, this.textField.textHeight / 2);
			else
				handle = new Point();
			imgBuffer.fillRect(new Rectangle(0, 0, this.textField.width, this.textField.height), 0x00000000);
			imgBuffer.draw(textField);
		}
		public function draw(backbuffer:BitmapData, pos:Point):void
		{
			backbuffer.copyPixels(imgBuffer, new Rectangle(0, 0, imgBuffer.width, imgBuffer.height), pos.subtract(handle), null, null, true);
		}
		public function remove():void
		{
			textField = null;
			format = null;
			imgBuffer.dispose();
			imgBuffer = null;
		}
	}
}
