package
{
	import flash.display.*;
	import flash.media.Sound;
	public final class ResManager
	{
		public static const IMG_TILES:int = 0;
		public static const IMG_DRAGONS:int = 1;
		public static const IMG_PROJECTILES:int = 2;
		public static const IMG_TARGET:int = 3;
		public static const IMG_HPBAR:int = 4;
		public static const IMG_EXPLOSIONS:int = 5;
		public static const IMG_COLORBUTTONS:int = 6;
		public static const IMG_DRAGON_BORDERS:int = 7;
		public static const IMG_BG:int = 8;
		public static const IMG_STARTBUTTON:int = 9;

		public static const SOUND_EXPLO01:int = 0;
		public static const SOUND_POWER01:int = 1;
		
		[Embed(source = "../gfx/tiles.png")]
		public static const gfx_tiles:Class;
		[Embed(source = "../gfx/dragons.png")]
		public static const gfx_dragons:Class;
		[Embed(source = "../gfx/projectiles.png")]
		public static const gfx_projectiles:Class;
		[Embed(source = "../gfx/target.png")]
		public static const gfx_target:Class;
		[Embed(source = "../gfx/healthbar.png")]
		public static const gfx_hpbar:Class;
		[Embed(source = "../gfx/explosions.png")]
		public static const gfx_explosions:Class;
		[Embed(source = "../gfx/color_buttons.png")]
		public static const gfx_colorbuttons:Class;
		[Embed(source = "../gfx/dragon_borders.png")]
		public static const gfx_dragon_borders:Class;
		[Embed(source = "../gfx/bg.png")]
		public static const gfx_bg:Class;
		[Embed(source = "../gfx/startbutton.png")]
		public static const gfx_startbutton:Class;
		/*[Embed(source="../sound/explo01.mp3")]
        public static var sound_explo01:Class;
		[Embed(source="../sound/power01.mp3")]
        public static var sound_power01:Class;*/
		
		public static const img:Array = new Array(8);
		img[IMG_TILES] = new AnimImage(new gfx_tiles(), 32, 32, 8);
		img[IMG_DRAGONS] = new AnimImage(new gfx_dragons(), 32, 32, 32, 15, 29);
		img[IMG_PROJECTILES] = new AnimImage(new gfx_projectiles(), 8, 8, 16, 3, 6);
		img[IMG_TARGET] = new AnimImage(new gfx_target(), 8, 8, 2, 3, 3);
		img[IMG_HPBAR] = new AnimImage(new gfx_hpbar(), 32, 4, 4, 15, 1);
		img[IMG_EXPLOSIONS] = new AnimImage(new gfx_explosions(), 16, 16, 16, 7, 7);
		img[IMG_COLORBUTTONS] = new AnimImage(new gfx_colorbuttons(), 32, 32, 3);
		img[IMG_DRAGON_BORDERS] = new AnimImage(new gfx_dragon_borders(), 32, 32, 16, 15, 29);
		img[IMG_BG] = new AnimImage(new gfx_bg(), 480, 320, 1);
		img[IMG_STARTBUTTON] = new AnimImage(new gfx_startbutton(), 96, 32, 1);

		/*public static const sounds:Array = new Array(2);
		sounds[SOUND_EXPLO01] = new sound_explo01() as Sound;
		sounds[SOUND_POWER01] = new sound_power01() as Sound;
*/
	}
}