package
{
	import flash.geom.Point;
	import flash.display.BitmapData;
	public class CAnimation extends CGameObject
	{
		public var nFrames:int;
		public var animFrame:int;
		public var timer:Number;
		public var frameTime:Number;
		public var repeats:int;
		public var height:int = 0;
		public function CAnimation()
		{
			
		}
		public function init_anim(nFr:int, time:Number, rep:int=-1):void
		{
			nFrames = nFr;
			timer = frameTime = time;
			animFrame = 0;
			repeats = rep;
		}
		override public function update(gm:CGameManager, dt:Number):void
		{
			timer -= dt;
			if (timer <= 0)
			{
				++animFrame;
				timer = frameTime;
				if (animFrame==nFrames)
				{
					animFrame %= nFrames;
					if (repeats > 0)
					{
						--repeats;
						if (repeats == 0)
						{
							active = false;
							gm.Game.removedGameObjects.addItem(this);
						}
					}
				}
			}
		}
		override public function draw(backbuffer:BitmapData, scroll:Point, gm:CGameManager):void
		{
			ResManager.img[imgId].draw(backbuffer, pos.x - Math.floor(scroll.x), pos.y - Math.floor(scroll.y)-height, frame + animFrame);
		}
	}
}