package
{
	import utility.CUtility;
	import org.flashdevelop.utils.FlashConnect;
	import flash.display.BitmapData;
	import flash.geom.Point;
	public class CEnemy extends CCreature
	{
		public var aggro_range:int;
		public function CEnemy()
		{
			
		}
		public function init_enemy(aggro_range:int):void
		{
			this.aggro_range = aggro_range;
		}
		override public function update(gm:CGameManager, dt:Number):void
		{
			var attackRadius:Number = 0;
			movement.update(gm.Game.world.currentMap, this, dt);
			if (attacks[0])
			{
				attacks[0].update(gm, dt);
				attackRadius = Math.max(attacks[0].range, gm.Game.dragon.collisionRadius + collisionRadius * 1.1);
			}
			if (CUtility.inRange(gm.Game.dragon.pos, pos, aggro_range))
			{
				if (attacks[0] && CUtility.inRange(gm.Game.dragon.pos, pos, attackRadius))
				{
					//if (CUtility.inRange(gm.Game.dragon.pos, pos, attackRadius*0.9))
					movement.target = null;
					if (attacks[0].ready())
					{
						attacks[0].init_enemy(gm.Game.dragon);
						attacks[0].execute(this, gm);
					}
				}
				else
				{
					movement.target = gm.Game.dragon.pos.clone();
				}
			}
			else
				movement.target = null;
			collision(gm, dt);
			if (stats.dead())
			{
				active = false;
				var anim:CAnimation = new CAnimation();
				anim.init_gameObject(pos.clone(), ResManager.IMG_EXPLOSIONS, 4);
				anim.init_anim(4, 0.2, 1);
				gm.Game.newObjectList.addItem(anim);
				gm.Game.removedGameObjects.addItem(this);
			}
		}
		/*override public function draw(backbuffer:BitmapData, scroll:Point, gm:CGameManager):void
		{
			super.draw(backbuffer, scroll, gm);
		}*/

	}
}