package
{
	import utility.CUtility;
	import org.flashdevelop.utils.FlashConnect;
	import flash.display.BitmapData;
	import flash.geom.Point;
	public class CEnemy_ArchMage extends CEnemy
	{
		protected var timer:Number;
		protected var enrage:Boolean = false;
		public function CEnemy_ArchMage()
		{
			
		}
		
		override public function update(gm:CGameManager, dt:Number):void
		{
			super.update(gm, dt);
			if (stats.hp <= stats.maxHp / 2 && !enrage)
			{
				attacks[0].cooldown *= 2/3;
				enrage = true;
			}
			if(!CUtility.inRange(pos, gm.Game.dragon.pos, gm.Game.dragon.collisionRadius + collisionRadius * 1.1))
				movement.target = gm.Game.dragon.pos.clone();
		}
		override public function draw(backbuffer:BitmapData, scroll:Point, gm:CGameManager):void
		{
			if(movement.look_direction==0)
				(ResManager.img[imgId] as AnimImage).draw(backbuffer, pos.x-Math.floor(scroll.x) - gfx_offset.x, pos.y-Math.floor(scroll.y)+ gfx_offset.y, frame);
			else
				(ResManager.img[imgId] as AnimImage).draw(backbuffer, pos.x - Math.floor(scroll.x) + gfx_offset.x, pos.y - Math.floor(scroll.y) + gfx_offset.y, frame + movement.look_direction);
			drawHpBar(backbuffer, scroll, 1);
		}
	}
}