package
{
	public class CStats
	{
		public var hp:Number, maxHp:int;
		public var power:Number, attack:Number;
		public var resistance:Number, armor:Number;
		public var hp_reg:Number;
		public function CStats()
		{
			
		}
		public function init_stats(hp:Number, maxHp:int, power:Number, attack:Number, resi:Number, armor:Number, hp_reg:Number=0):void
		{
			this.hp = hp;
			this.maxHp = maxHp;
			this.power = power;
			this.attack = attack;
			this.resistance = resi;
			this.armor = armor;
			this.hp_reg = hp_reg;
		}
		public function init_stats_copy(stats:CStats):CStats
		{
			this.hp = stats.hp;
			this.maxHp = stats.maxHp;
			this.power = stats.power;
			this.attack = stats.attack;
			this.resistance = stats.resistance;
			this.armor = stats.armor;
			this.hp_reg = stats.hp_reg;
			return this;
		}
		public function add(multiplier:Number, stats:CStats):void
		{
			this.hp += multiplier*stats.hp;
			this.maxHp += multiplier*stats.maxHp;
			this.power += multiplier*stats.power;
			this.attack += multiplier*stats.attack;
			this.resistance += multiplier*stats.resistance;
			this.armor += multiplier * stats.armor;
			this.hp_reg += multiplier * stats.hp_reg;
		}
		public function hit(gm:CGameManager, attack:CAttack, caster:CCreature, attackStats:CStats):void
		{
			if (!attack)
				return;
			var dmg:Number;
			if(attackStats)
				dmg = attack.baseDamage + attack.apRatio / 100 * attackStats.power + attack.adRatio / 100 * attackStats.attack;
			else
				dmg = attack.baseDamage;
			if (attack.damageType == CAttack.MAGIC)
			{
				hp -= 100 / (100 + resistance) * dmg;
			}
			else
			{
				hp -= 100 / (100 + armor) * dmg;
			}
			//100 / (100 + (ARMOR - (1/10 * (ARMOR - ARP) + ARP))) * DMG
		}
		public function dead():Boolean
		{
			return hp <= 0;
		}
	}
}